package com.tofly.scada.entity.vo;

import com.haiqiu.tools.excel.annotation.Excel;
import com.tofly.scada.entity.StatisticsScadaNew;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author HaiQiu
 * @since 2022/10/31
 */
@Data
public class StatisticsScadaNewVo extends StatisticsScadaNew {

    @ApiModelProperty(value = "指标名称")
    private String codeName;

    @Excel(name = "设备名称",column = "B")
    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "设备ID")
    private String deviceId;

    @ApiModelProperty(value = "是否合计,1是，0 否")
    private String totalAll;

}
