package com.tofly.flow.config;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

@Slf4j
@Data
@Component
@Configuration
public class ForeignConfig {

    //入库
    @Value("${mabian.flow.redisQueue.rkkey}")
    private String queueRkKey;

    //出库
    @Value("${mabian.flow.redisQueue.ckkey}")
    private String queueCkKey;

    //出库
    @Value("${mabian.flow.redisQueue.tkkey}")
    private String queueTkKey;

    //会议
    @Value("${mabian.flow.redisQueue.hykey}")
    private String queueHyKey;

}
