package com.tofly.flow.controller;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.flow.common.BaseController;
import com.tofly.flow.mapper.ScadaHistoryTempMapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author HaiQiu
 * @date 2022/4/25
 * //TODO 临时接口
 */
@Api(tags = "临时查询SCADA历史数据")
@RequestMapping("/scadaHistory")
@RestController
public class ScadaHistoryTempController extends BaseController {

    @Autowired
    private ScadaHistoryTempMapper scadaHistoryTempMapper;

    @ApiOperation(value = "查询所有数据")
    @PostMapping("/all")
    public ResultRespone getData(){
        return decide(scadaHistoryTempMapper.getListData());
    }


}
