package com.tofly.flow.custom.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode
public class DeviceFactoryDto implements Serializable {
    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 厂家编号
     */
    @ApiModelProperty(value = "厂家编号")
    private String factoryNumbe;
    /**
     * 厂家名称
     */
    @ApiModelProperty(value = "厂家名称")
    private String factoryName;
    /**
     * 厂家CODE代码
     */
    @ApiModelProperty(value = "厂家CODE代码")
    private String factoryCode;
    /**
     * 厂家简称
     */
    @ApiModelProperty(value = "厂家简称")
    private String shorterForm;
    /**
     * 厂家类型1:供应商；2:设备厂家；3：供应商+厂家
     */
    @ApiModelProperty(value = "厂家类型1:供应商；2:设备厂家；3：供应商+厂家")
    private Short factoryType;
    /**
     * 厂家地址
     */
    @ApiModelProperty(value = "厂家地址")
    private String address;
    /**
     * 联系人
     */
    @ApiModelProperty(value = "联系人")
    private String contacts;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String contactNumber;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 附件
     */
    @ApiModelProperty(value = "附件")
    private String annex;


}
