package com.tofly.flow.custom.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@Data
@EqualsAndHashCode
public class DocumentFileDto extends DocumentDto{

    /**
     * 公告文件名称；一次提交不允许重名
     */
    @ApiModelProperty(value = "公告文件名称；一次提交不允许重名")
    private List<String> fileNames;

}
