package com.tofly.flow.custom.dto;

import com.tofly.flow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@EqualsAndHashCode
@ToString
public class PCStaffDto implements Serializable {
    /**
     * 层级序号 从1开始
     */
    @ApiModelProperty(value = "层级序号,从1开始")
    private Short levelNumber;

    /**
     * 部门ID
     */
    @NotNull(message = "deptId"+FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "部门ID")
    private Long deptId;
    /**
     * 人员ID(为空取全部门人员)
     */
    @ApiModelProperty(value = "人员ID(为空取全部门人员)")
    private Long staffId;

}
