package com.tofly.flow.custom.dto;

import com.tofly.flow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

@Data
@EqualsAndHashCode
public class ProcessNodeAllDto extends ProcessNodeDto{

    /**
     * 流程ID
     */
    @NotNull(message = "processId"+FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "流程ID")
    private Long processId;


}
