package com.tofly.flow.custom.dto;

import com.tofly.flow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 设施关联信息
 */
@Data
@EqualsAndHashCode
public class ProcessRelationDto implements Serializable {

    /**
     * 设施关联表
     */
    @NotNull(message = "relationTable"+FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "设施关联表")
    private Integer tableId;
    /**
     * 设施ID
     */
    @NotNull(message = "relationId"+FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "设施ID")
    private Long relationId;

}
