package com.tofly.flow.custom.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode
public class SqlSelectDto implements Serializable {

    /**
     * select sql 主语句
     */
    @ApiModelProperty(value = "select sql 主语句")
    private String select;

    /**
     * where 查询条件
     */
    @ApiModelProperty(value = "where 查询条件")
    private List<SqlWhereDto> where;
}
