/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.flow.custom.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.flow.custom.entity.DeviceFactory;
import com.tofly.flow.custom.vo.DeviceFactoryVo;
import org.apache.ibatis.annotations.Param;

/**
 * 设备厂家信息
 *
 * @author xqf
 * @date Fri Apr 01 00:00:00 CST 2022
 */
public interface DeviceFactoryMapper extends BaseMapper<DeviceFactory> {
    DeviceFactoryVo getDeviceFactoryById(@Param("id") Long id);
}
