/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.flow.custom.mapper;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.flow.custom.dto.LoadFolderDocumentDto;
import com.tofly.flow.custom.entity.Document;
import com.tofly.flow.custom.vo.DocumentVo;
import org.apache.ibatis.annotations.Param;

/**
 * 文档管理
 *
 * @author xqf
 * @date Sat Apr 02 00:00:00 CST 2022
 */
public interface DocumentMapper extends BaseMapper<Document> {
    String getDocumentNumber(DateTime beginOfDay);

    Page<DocumentVo> loadTypeDocumentPage(Page page, @Param("dto") LoadFolderDocumentDto dto);

    DocumentVo getDocumentVo(@Param("processId") Long processId,@Param("processNode") Integer processNode,@Param("nodeBranch") Integer nodeBranch);

    DocumentVo getDocumentById(@Param("id") Long id);
}
