/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.flow.custom.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.flow.custom.entity.BaseType;
import com.tofly.flow.custom.entity.ImportInfo;
import org.apache.ibatis.annotations.Param;


import java.util.List;
/**
 * 物资导入详情
 *
 * @author xqf
 * @date Fri Apr 08 00:00:00 CST 2022
 */
public interface ImportInfoMapper extends BaseMapper<ImportInfo> {

    /**
     * 根据物资编码和名称查询绑定的类型名称
     * @param matterNumber 物资编码
     * @param matterName 物资名称
     * @return
     */
    List<BaseType> selectBaseTypeNameByMatterNumberAndMatterName(@Param("matterNumber") String matterNumber,
                                                                 @Param("matterName") String matterName);
}
