/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.flow.custom.mapper;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.flow.custom.dto.LoadProcessConfigDto;
import com.tofly.flow.custom.entity.ProcessConfig;
import com.tofly.flow.custom.vo.ProcessConfigVo;
import org.apache.ibatis.annotations.Param;


import java.util.List;
/**
 * 审批流程配置
 *
 * @author xqf
 * @date Mon Mar 21 00:00:00 CST 2022
 */
public interface ProcessConfigMapper extends BaseMapper<ProcessConfig> {
    String getProcessNumber(@Param("time") DateTime time);

    Page<ProcessConfigVo> loadProcessConfig(Page page, @Param("dto") LoadProcessConfigDto dto);

    List<ProcessConfigVo> loadProcessConfig( @Param("dto") LoadProcessConfigDto dto);

    ProcessConfigVo getProcessConfig(@Param("id") Long id);
}
