/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.flow.custom.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.flow.custom.entity.ProcessNode;
import com.tofly.flow.custom.vo.ProcessNodeVo;
import org.apache.ibatis.annotations.Param;


import java.util.List;
/**
 * 流程节点处理信息（操作步骤都有记录）
 *
 * @author xqf
 * @date Sat Apr 02 00:00:00 CST 2022
 */
public interface ProcessNodeMapper extends BaseMapper<ProcessNode> {

    ProcessNode getProcessNode(@Param("processId") Long processId,@Param("processNode") Integer processNode,@Param("nodeBranch") Integer nodeBranch,@Param("state") Integer state);

    ProcessNodeVo getProcessNodeById(@Param("id") Long id);
}
