/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.flow.custom.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.flow.custom.dto.ProcessRelationDto;
import com.tofly.flow.custom.entity.ProcessRelation;
import com.tofly.flow.custom.vo.RelationInfoVo;
import org.apache.ibatis.annotations.Param;


import java.util.List;

/**
 * 流程关联信息表（会议室、车辆、文档等）
 *
 * @author xqf
 * @date Thu Apr 07 00:00:00 CST 2022
 */
public interface ProcessRelationMapper extends BaseMapper<ProcessRelation> {

    int loadRelationCount(@Param("list") List<ProcessRelation> list);

    Boolean saveProcessRelations(@Param("lists") List<ProcessRelation> lists);

    RelationInfoVo getRelationInfoVo(@Param("processId") Long processId,@Param("processNode") Integer processNode,@Param("nodeBranch") Integer nodeBranch);
}
