/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.flow.custom.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.flow.custom.dto.ProcessStuffOutDto;
import com.tofly.flow.custom.entity.ProcessStuff;
import com.tofly.flow.custom.vo.OutMatterVO;
import com.tofly.flow.custom.vo.ProcessStuffVo;
import org.apache.ibatis.annotations.Param;


import java.util.List;

/**
 * 流程中物料出入/退库信息
 *
 * @author xqf
 * @date Sat Apr 02 00:00:00 CST 2022
 */
public interface ProcessStuffMapper extends BaseMapper<ProcessStuff> {

    List<ProcessStuffVo> loadProcessStuffByProcessId(Long processId);

    Page<OutMatterVO> getOutMatter(Page page,@Param("dto") ProcessStuffOutDto dto);
}
