/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.flow.custom.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.flow.custom.entity.ProcessSupervise;
import com.tofly.flow.custom.vo.ProcessSuperviseVo;
import org.apache.ibatis.annotations.Param;


import java.util.List;

/**
 * 流程督办记录信息
 *
 * @author xqf
 * @date Sat Apr 02 00:00:00 CST 2022
 */
public interface ProcessSuperviseMapper extends BaseMapper<ProcessSupervise> {

    List<ProcessSuperviseVo> getProcessSuperviseVo(@Param("processId") Long processId,@Param("processNode") Integer processNode,@Param("nodeBranch") Integer nodeBranch);

}
