/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.custom.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.custom.dto.ConferenceRoomDto;
import com.tofly.flow.custom.dto.UpdateConferenceRoomDto;
import com.tofly.flow.custom.entity.ConferenceRoom;

/**
 * 会议室
 *
 * @author xqf
 * @date Sat Apr 02 00:00:00 CST 2022
 */
public interface ConferenceRoomService extends IService<ConferenceRoom> {

    Object saveConferenceRoom(ConferenceRoomDto dto);

    Object updateConferenceRoom(UpdateConferenceRoomDto dto);

    boolean removeUpdateById(Long id);

    Object removeUpdateByIds(String ids);
}
