/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.custom.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.custom.dto.DeviceFactoryDto;
import com.tofly.flow.custom.entity.DeviceFactory;
import com.tofly.flow.custom.vo.DeviceFactoryVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 设备厂家信息
 *
 * @author xqf
 * @date Fri Apr 01 00:00:00 CST 2022
 */
public interface DeviceFactoryService extends IService<DeviceFactory> {

    Object saveDeviceFactory(DeviceFactoryDto dto, List<MultipartFile> fileList);

    DeviceFactoryVo getDeviceFactoryById(Long id);
}
