/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.custom.dto.LoadProcessConfigDto;
import com.tofly.flow.custom.dto.ProcessConfigAllDto;
import com.tofly.flow.custom.dto.ProcessConfigDto;
import com.tofly.flow.custom.dto.UpdateProcessConfigAllDto;
import com.tofly.flow.custom.entity.ProcessConfig;
import com.tofly.flow.custom.vo.ProcessConfigVo;

/**
 * 审批流程配置
 *
 * @author xqf
 * @date Mon Mar 21 00:00:00 CST 2022
 */
public interface ProcessConfigService extends IService<ProcessConfig> {

    Object saveProcessConfigName(ProcessConfigDto dto);

    boolean removeUpdateById(Long id);

    Object removeUpdateByIds(String ids);

    Object saveProcessConfig(ProcessConfigAllDto dto);

    Object updateProcessConfig(UpdateProcessConfigAllDto dto);

    Page<ProcessConfigVo> pageProcessConfig(Page page, LoadProcessConfigDto dto);

    ProcessConfigVo getProcessConfigById(Long id);

    Integer getConfigByType(Long businessType);

    boolean updateValidById(Long id, Short isValid);
}
