/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.custom.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.custom.dto.ProcessNodeAllDto;
import com.tofly.flow.custom.dto.ProcessNodeDto;
import com.tofly.flow.custom.entity.Process;
import com.tofly.flow.custom.entity.ProcessNode;
import com.tofly.flow.custom.vo.ProcessNodeVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * 流程节点处理信息（操作步骤都有记录）
 *
 * @author xqf
 * @date Sat Apr 02 00:00:00 CST 2022
 */
public interface ProcessNodeService extends IService<ProcessNode> {


    ProcessNode getProcessNode(Long processId, Integer processNode, Integer nodeBranch);

    String saveCheck(Process process, ProcessNodeDto processNode, Long processId, Long configId, Integer edition, Map<String, MultipartFile> map);

    Boolean saveProcessNode(ProcessNodeDto processNode, Long id, Long configId, Integer edition, Map<String,MultipartFile> map);

    Object saveProcessNodeAll(ProcessNodeAllDto dto, List<MultipartFile> fileList);

    ProcessNodeVo getProcessNodeById(Long id);

}
