/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.custom.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.custom.dto.ProcessRelationDto;
import com.tofly.flow.custom.entity.ProcessRelation;
import com.tofly.flow.custom.vo.RelationInfoVo;

import java.util.List;

/**
 * 流程关联信息表（会议室、车辆、文档等）
 *
 * @author xqf
 * @date Thu Apr 07 00:00:00 CST 2022
 */
public interface ProcessRelationService extends IService<ProcessRelation> {

    String saveListCheck(List<ProcessRelationDto> prdtos);

    Boolean saveListProcessRelation(List<ProcessRelationDto> prdtos, Long processId, Integer processStep, Integer stepNode);

    /**
     * 获取关联设施信息
     * @param processId
     * @param processNode
     * @param nodeBranch
     * @return
     */
    RelationInfoVo getRelationInfoVo(Long processId,Integer processNode,Integer nodeBranch);
}
