/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.custom.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.custom.dto.ProjectContractAllDto;
import com.tofly.flow.custom.dto.ProjectContractDto;
import com.tofly.flow.custom.dto.ProjectContractFileDto;
import com.tofly.flow.custom.entity.ProcessNode;
import com.tofly.flow.custom.entity.ProjectContract;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * 流程合同信息
 *
 * @author xqf
 * @date Sat Apr 02 00:00:00 CST 2022
 */
public interface ProjectContractService extends IService<ProjectContract> {

    Object saveProjectContract(ProjectContractDto dto, List<MultipartFile> fileList);

    boolean removeUpdateById(Long id);

    String saveCheck(List<ProjectContractAllDto> contractDto, Map<String,MultipartFile> map);

    boolean saveBatchProjectContract(List<ProjectContractFileDto> contracts, ProcessNode processNode);
}
