package com.tofly.flow.custom.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
 * @author haiqiu
 */
@Data
public class AssetsStattisticsTypeVo {

    @ApiModelProperty(value = "资产分类")
    private String bigTypeName;

    @ApiModelProperty(value = "资产小类")
    private String minTypeName;

    /**
     * 管理部门
     */
    @ApiModelProperty(value = "管理部门")
    private String deptName;

    /**
     * 资产状态0:在库；1:在用；2:报废；3:出售；4:闲置
     */
    @ApiModelProperty(value = "资产状态0:在库；1:在用；2:报废；3:出售；4:闲置")
    private Short assetsState;

    /**
     * 入库年限
     */
    @ApiModelProperty(value = "入库年限")
    private Integer inYears;

    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Integer count;

    /**
     * 采购价格合计（元）
     */
    @ApiModelProperty(value = "采购价格合计（元）")
    private Double purchaseMoney;
}
