package com.tofly.flow.custom.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
@Data
@EqualsAndHashCode
public class ConfigStepStaffVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程配置步骤ID
     */
    @ApiModelProperty(value = "流程配置步骤ID")
    private Long stepId;
    /**
     * 层级序号
     */
    @ApiModelProperty(value = "层级序号")
    private Short levelNumber;
    /**
     * 版本
     */
    @ApiModelProperty(value = "版本")
    private Integer edition;
    /**
     * 部门ID
     */
    @ApiModelProperty(value = "部门ID")
    private Long deptId;
    /**
     * 人员ID(为空取全部门人员)
     */
    @ApiModelProperty(value = "人员ID(为空取全部门人员)")
    private Long staffId;

    /**
     * 人员ID(为空取全部门人员)
     */
    @ApiModelProperty(value = "人员ID(为空取全部门人员)")
    private String staffIdName;
    /**
     * 人员类型1处理；2督办
     */
    @ApiModelProperty(value = "人员类型1处理；2督办")
    private Short staffType;

}
