package com.tofly.flow.custom.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 督办信息
 */
@Data
@EqualsAndHashCode
public class ProcessSuperviseVo implements Serializable {

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 督办部门
     */
    @ApiModelProperty(value = "督办部门")
    private Long superviseDept;


    /**
     * 督办部门
     */
    @ApiModelProperty(value = "督办部门")
    private String superviseDeptName;

    /**
     * 督办人
     */
    @ApiModelProperty(value = "督办人")
    private Long superviseStaff;

    /**
     * 督办人
     */
    @ApiModelProperty(value = "督办人")
    private String superviseStaffName;
    /**
     * 意见
     */
    @ApiModelProperty(value = "意见")
    private String opinion;
    /**
     * 当前处理部门
     */
    @ApiModelProperty(value = "当前处理部门")
    private Long handleDept;
    /**
     * 当前处理部门
     */
    @ApiModelProperty(value = "当前处理部门")
    private String handleDeptName;
    /**
     * 当前处理人
     */
    @ApiModelProperty(value = "当前处理人")
    private Long handleStaff;
    /**
     * 当前处理人
     */
    @ApiModelProperty(value = "当前处理人")
    private String handleStaffName;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;


}
