package com.tofly.flow.custom.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 费用信息
 */
@Data
@EqualsAndHashCode
public class ProjectDetailedVo implements Serializable {

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 费用类型
     */
    @ApiModelProperty(value = "费用类型")
    private Long costType;

    /**
     * 费用名称
     */
    @ApiModelProperty(value = "费用名称")
    private String costName;

    /**
     * 费用说明
     */
    @ApiModelProperty(value = "费用说明")
    private String explain;
    /**
     * 数量/长度
     */
    @ApiModelProperty(value = "数量/长度")
    private Long quantity;
    /**
     * 单价
     */
    @ApiModelProperty(value = "单价")
    private Double unitPrice;
    /**
     * 金额
     */
    @ApiModelProperty(value = "金额")
    private Double amountMoney;

}
