/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.custom.dto.DocumentDto;
import com.tofly.flow.custom.dto.LoadFolderDocumentDto;
import com.tofly.flow.custom.dto.UpdateDocumentDto;
import com.tofly.flow.entity.FolderDocument;
import com.tofly.flow.custom.vo.DocumentVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 文件夹与文档关联表
 *
 * @author xqf
 * @date Thu Apr 07 00:00:00 CST 2022
 */
public interface FolderDocumentService extends IService<FolderDocument> {

    Object saveFolderDocument(DocumentDto dto, List<MultipartFile> fileList);

    Object updateFolderDocument(UpdateDocumentDto dto, List<MultipartFile> fileList);

    boolean removeUpdateById(Long id);

    Object removeUpdateByIds(String ids);

    Page<DocumentVo> LoadFolderDocumentpage(Page page, LoadFolderDocumentDto dto);

    Object transferred(Long documentType, Long documentId);
}
