/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.dto.FolderTypeDto;
import com.tofly.flow.dto.UpdateFolderTypeDto;
import com.tofly.flow.entity.FolderType;
import com.tofly.flow.vo.FolderTypeTreeVo;

/**
 * 文件夹表
 *
 * @author xqf
 * @date Thu Apr 07 00:00:00 CST 2022
 */
public interface FolderTypeService extends IService<FolderType> {

    Object saveFolderTypeDto(FolderTypeDto dto);

    Object updateFolderTypeDto(UpdateFolderTypeDto dto);

    Object removeUpdateById(Long id);

    /**
     * 查询文件、文档公告书
     * @param dataType  0 公共; 1个人私有;2部门私有
     * @param moduleType 模块类型0文档 默认为0;1公告
     * @return 类型树
     */
    FolderTypeTreeVo folderTree(Long dataType, Short moduleType);
}
