package com.tofly.watermeter.custom.service.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.ChangeTableCondition;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.ChangeTableDto;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * 换表
 */
public interface ChangeTableService {

    /**
     * 水表换表
     * @param dto dto
     * @return boolean
     * @throws Exception
     */
    boolean changeTable(ChangeTableDto dto) throws Exception;

    /**
     * 查询安装水表用户
     * @param dto 查询条件
     * @return list
     */
    Page<Map> queryInfo(Page page,String dto,String sbkj,String sblx,String sbcj);

    List<Map> countChangeTable(HttpServletResponse response,ChangeTableCondition dto);

    Page<Map> queryChangeTable(Page page,HttpServletResponse response,ChangeTableCondition dto);
}
