/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.watermeter.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.tofly.watermeter.entity.File;
import com.tofly.watermeter.mapper.FileMapper;
import com.tofly.watermeter.service.FileService;
import org.springframework.stereotype.Service;

/**
 * 公共文件表： TF_YWPN_FILE_W
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Service("fileService")
public class FileServiceImpl extends ServiceImpl<FileMapper, File> implements FileService {

    @Override
    public Integer getMaxId() {
        return baseMapper.getMaxId();
    }

    @Override
    public void saveManul(File localFile) {
        baseMapper.saveManul(localFile);
    }
}
