package com.tofly.reveal.dto;

import com.tofly.reveal.common.RevealConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

@Data
@EqualsAndHashCode
public class UpdatePortalModuleDto extends PortalModuleDto {
    private static final long serialVersionUID = 1L;

    @NotNull(message = RevealConstant.ISNOTNUL)
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;

}
