package com.tofly.reveal.utils;

import com.tofly.reveal.common.RevealConstant;
import com.tofly.reveal.service.FileService;
import org.apache.commons.collections.CollectionUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

public class UploadFiles {

    public static String saveFiles(FileService fileService,List<MultipartFile> fileList, String fileIdsdb, String fileIds,String filePath,String tableName){
        StringBuilder fileIdList = null;
        if (CollectionUtils.isNotEmpty(fileList)) {
            fileIdList = fileService.saveFileList(fileList, filePath, tableName);
            if(fileIdList==null||fileIdList.length()==0){
                return fileIds;
            }
        }
        String fs = fileIds;
        if (StringUtils.isNotEmpty(fileIdsdb) && !fileIdsdb.equals(fileIds)) {
            List<Long> removeFileId = new ArrayList<>();
            if (StringUtils.isEmpty(fileIds)) {
                removeFileId = Arrays.stream(fileIdsdb.split(RevealConstant.CSV)).map(s -> Long.parseLong(s.trim()))
                        .collect(Collectors.toList());
            } else {
                removeFileId = Arrays.stream(fileIdsdb.split(RevealConstant.CSV)).filter(st -> !fs.contains(st)).map(st -> Long.parseLong(st.trim())).collect(Collectors.toList());
            }
            // 删除对应文件数据
            if (!removeFileId.isEmpty()) {
                // 删除远程文件
                fileService.removeFileList(removeFileId);
            }
        }
        StringBuilder files = new StringBuilder();
        if (StringUtils.isEmpty(fileIds) || StringUtils.isEmpty(fileIdList)) {
            if(StringUtils.isNotEmpty(fileIds)){
                files.append(fileIds);
            }else if(StringUtils.isNotEmpty(fileIdList)){
                files.append(fileIdList);
            }
        } else {
            files.append(fileIds).append(RevealConstant.CSV).append(fileIdList);
        }
        return files.toString();
    }

}
