package com.tofly.api;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.pojo.UserInfoVo;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "tofly-trilateral",contextId="MarketingClient")
public interface MarketingClient {

    @PostMapping("/marketing/user")
    @ApiOperation(value = "获取用户信息")
    ResultRespone<UserInfoVo> getUser(@RequestParam("lkeyword")String lkeyword);

}
