package com.tofly.pojo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

@Data
public class UserNumberVo {
    /** 序号*/
    @JSONField(name = "RO")
    @ApiModelProperty("序号")
    private Integer ro;

    /** 用户编号*/
    @JSONField(name = "YHBH")
    @ApiModelProperty("用户编号")
    private String yhbh;

    /** 上次抄表度数*/
    @JSONField(name = "SCDS")
    @ApiModelProperty("上次抄表度数")
    private Double scds;


    /** 本次抄表度数*/
    @JSONField(name = "BCDS")
    @ApiModelProperty("本次抄表度数")
    private Double bcds;

    /** 水量*/
    @JSONField(name = "YSSL")
    @ApiModelProperty("水量")
    private Double yssl;

    /** 月份*/
    @JSONField(name = "YSYF")
    @ApiModelProperty("月份")
    private Double ysyf;


    /** 日期*/
    @JSONField(name = "LRRQ")
    @ApiModelProperty("日期")
    @JsonFormat(pattern = "yyyy-MM-ddTHH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-ddTHH:mm:ss")
    private String lrrq;

}
