package com.tofly.trilateral.config;


import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

@Slf4j
@Data
@Component
@Configuration
public class ForeignConfig {

    @Value("${mabian.trilateral.marketing.url}")
    private String marketingUrl;

    @Value("${mabian.trilateral.marketing.token}")
    private String marketingToken;

}
