package com.tofly.scada.common;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.List;

/**
 * @author HaiQiu
 * @since 2023/2/2
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "statistics.scada.new.code")
public class statisticsScadaNewCode {

    /**
     * 统计量放行记录的code
     */
    private List<String> llj;
}
