package com.tofly.flow.custom.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Set;

/**
 * @author HaiQiu
 * @date 2022/4/8
 */
@Data
public class MatterQuerySmall implements Serializable {

    /**
     * 物资名称
     */
    @ApiModelProperty(value = "物资名称")
    private String matterName;

    /**
     * 物资所属类型TF_YWPN_BASE_TYPE_W id
     */
    @ApiModelProperty(value = "物资所属类型TF_YWPN_BASE_TYPE_W id，传入0表示查询未分类")
    private Long matterType;


    /**
     * 查询关键字
     */
    @ApiModelProperty(value = "查询关键字")
    private String search;

    /**
     * 物资类别
     */
    @ApiModelProperty(value = "物资类别")
    private Set<Long> type;
}
