package com.tofly.flow.custom.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;

@Data
@EqualsAndHashCode
@ToString
public class ProcessConfigDto implements Serializable {
    /**
     * 流程名称
     */
    @ApiModelProperty(value = "流程名称")
    private String processName;

    /**
     * 业务类别1:文档;2:用车;3:会议.TF_YWPN_BASE_TYPE_W DATA_TYPE
     */
    @ApiModelProperty(value = "业务类别1:文档;2:用车;3:会议.TF_YWPN_BASE_TYPE_W DATA_TYPE")
    private Long processType;
    /**
     * 业务类型TF_YWPN_BASE_TYPE_W ID
     */
    @ApiModelProperty(value = "业务类型TF_YWPN_BASE_TYPE_W ID")
    private Long businessType;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
}
