package com.tofly.flow.custom.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode
@AllArgsConstructor
@NoArgsConstructor
public class ProjectContractFileDto implements Serializable {

    /**
     * 合同信息
     */
    @ApiModelProperty(value = "合同信息")
    private ProjectContractDto dto;

    /**
     * 合同文件
     */
    @ApiModelProperty(value = "合同文件")
    private List<MultipartFile> fileList;
}
