package com.tofly.flow.custom.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;

@Data
@EqualsAndHashCode
@ToString
public class StorageRoomDto implements Serializable {

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 序号
     */
    @ApiModelProperty(value = "序号")
    private Long roomNumber;
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String roomName;
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String addre;
    /**
     * 负责人
     */
    @ApiModelProperty(value = "负责人")
    private Long leadingCadre;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;



}
