/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.flow.custom.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.flow.custom.entity.ProcessDevice;
import com.tofly.flow.custom.vo.ProcessDeviceVo;
import org.apache.ibatis.annotations.Param;


import java.util.List;
/**
 * 流程出入/退库设备
 *
 * @author xqf
 * @date Sat Apr 02 00:00:00 CST 2022
 */
public interface ProcessDeviceMapper extends BaseMapper<ProcessDevice> {

    int saveBatchProcessDevice(@Param("lists") List<ProcessDevice> lists);

    ProcessDeviceVo getProcessDeviceVo(@Param("id") Long id);
}
