/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.custom.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.custom.dto.PCStaffDto;
import com.tofly.flow.custom.dto.StepStaffDto;
import com.tofly.flow.custom.entity.ConfigStepStaff;

import java.util.List;

/**
 * 流程配置步骤配置的人员
 *
 * @author xqf
 * @date Mon Mar 21 00:00:00 CST 2022
 */
public interface ConfigStepStaffService extends IService<ConfigStepStaff> {

    String checkingStaff(List<PCStaffDto> staffDtos,  Short nodeNumber);

    boolean saveStaff(List<PCStaffDto> dbrs, Long id, Integer edition,Short staffType);

    boolean delUpdateStaff(Long oldId, Integer oldEdition, Short shortTwo);

    boolean delUpdateLcStaff(Long oldId, Integer oldEdition, Short shortOne);

    Object updateConfigStepStaff(StepStaffDto dto);
}
