/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.custom.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.custom.dto.ProcessChargeDto;
import com.tofly.flow.custom.entity.ProcessCharge;
import com.tofly.flow.custom.vo.ProcessChargeVO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 工程收费
 *
 * @author xqf
 * @date Thu Jun 09 00:00:00 CST 2022
 */
public interface ProcessChargeService extends IService<ProcessCharge> {

    Object saveProcessCharge(ProcessChargeDto dto, List<MultipartFile> fileList);

    ProcessChargeVO getProcessChargeById(Long id);
}
