/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.custom.dto.ProcessLDto;
import com.tofly.flow.custom.entity.ProcessSql;

import java.util.Map;

/**
 * 流程查询sql
 *
 * @author xqf
 * @date Tue May 24 00:00:00 CST 2022
 */
public interface ProcessSqlService extends IService<ProcessSql> {

    /**
     * 逻辑删除sql查询
     * @param id 主键ID
     * @return 修改结果
     */
    boolean removeUpdateById(Long id);

    /**
     * 根据id查询数据列表
     * @param page 分页
     * @param dto sql的ID及查询条件
     * @return 数据列表
     */
    Object getProcesssData(Page page, ProcessLDto dto);
}
