/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.flow.custom.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.custom.dto.ProcessSurveyDto;
import com.tofly.flow.custom.entity.ProcessSurvey;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 勘测信息
 *
 * @author xqf
 * @date Fri May 20 00:00:00 CST 2022
 */
public interface ProcessSurveyService extends IService<ProcessSurvey> {

    /**
     * 保存或修改工程勘测信息
     * @param processSurveyDto 工程勘测信息
     * @param processId 流程ID
     * @param processStep 步骤
     * @param stepNode 节点
     * @param psfiles 文件集合
     * @return
     */
    Boolean saveProcessSurvey(ProcessSurveyDto processSurveyDto, Long processId, Integer processStep, Integer stepNode, List<MultipartFile> psfiles);
}
