package com.tofly.flow.custom.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode
public class FacilitiesVo implements Serializable {

    /**
     * 设施名称
     */
    @ApiModelProperty(value = "设施名称")
    private String name;
    /**
     * 设施编码
     */
    @ApiModelProperty(value = "设施编码")
    private String facilitiesNumber;


    /**
     * 容量
     */
    @ApiModelProperty(value = "容量")
    private Integer capacity;

    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;

    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;
}
