package com.tofly.flow.custom.vo;

import com.tofly.flow.common.FlowConstant;
import com.tofly.flow.custom.vo.ConfigStepStaffVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@EqualsAndHashCode
public class LevleStepStaffVo {
    /**
     * 层级序号 从1开始
     */
    @NotNull(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "层级序号,从1开始")
    private Short levelNumber;

    /**
     * 是否必须
     */
    @NotNull(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "是否必须，1 是，0 否")
    private Short must;
    /**
     * 人员集合
     */
    @ApiModelProperty(value = "人员集合")
    List<ConfigStepStaffVo> staffs;
}
