package com.tofly.flow.custom.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode
public class ProcessStaffVo implements Serializable {

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 部门
     */
    @ApiModelProperty(value = "部门")
    private Long dept;
    /**
     * 部门
     */
    @ApiModelProperty(value = "部门")
    private String deptName;
    /**
     * 人员类型1:通知人员；2督办人员
     */
    @ApiModelProperty(value = "人员类型1:通知人员；2督办人员")
    private Short staffType;
    /**
     * 人员
     */
    @ApiModelProperty(value = "人员")
    private Long deptStaff;
    /**
     * 人员
     */
    @ApiModelProperty(value = "人员")
    private String deptStaffName;
}
