package com.tofly.flow.custom.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 关联设施
 */
@Data
@EqualsAndHashCode
public class RelationInfoVo implements Serializable {

    /**
     * 设施关联表
     */
    @ApiModelProperty(value = "设施关联表")
    private String relationTable;

    /**
     * 设施关联表编号
     */
    @ApiModelProperty(value = "设施关联表编号")
    private Integer tableId;
    /**
     * 设施ID
     */
    @ApiModelProperty(value = "设施ID")
    private Long relationId;
    /**
     * 设施信息
     */
    @ApiModelProperty(value = "设施信息")
    private FacilitiesVo facilitiesVo;
}
