package com.tofly.flow.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author HaiQiu
 * @date 2022-04-21
 */
@Data
public class AddressBookQuery {

    @ApiModelProperty(value = "部门名称")
    private String deptName;

    @ApiModelProperty(value = "姓名")
    private String name;
    /**
     * 职务
     */
    @ApiModelProperty(value = "职务")
    private String position;

    /**
     * 是否应急通讯1:是；0:否
     */
    @ApiModelProperty(value = "是否应急通讯1:是；0:否")
    private Short isEmergency;
}
