package com.tofly.flow.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @author haiqiu
 */
@Data
@TableName(value = "SCADA_HOURS", resultMap = "map")
@KeySequence("SCADA_HOURS")
public class Scada {

    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "指标编码")
    private String code;

    @ApiModelProperty(value = "指标值")
    private String value;

    @ApiModelProperty(value = "指标采集时间")
    private Date scadaTime;

    @ApiModelProperty(value = "指标更新时间")
    private Date updateTime;
}
