/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.watermeter.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.watermeter.custom.dto.ForeignReadFarDo;
import com.tofly.watermeter.custom.dto.ReadFarDo;
import com.tofly.watermeter.entity.Readmetereashis;
import com.tofly.watermeter.mapper.ReadmetereashisMapper;
import com.tofly.watermeter.service.ReadmetereashisService;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.List;

/**
 * 抄表历史数据（有本系统自己管理的）
 *
 * @author xqf
 * @date Tue Dec 28 00:00:00 CST 2021
 */
@Service("readmetereashisService")
public class ReadmetereashisServiceImpl extends ServiceImpl<ReadmetereashisMapper, Readmetereashis> implements ReadmetereashisService {

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean saveBatchReadFar(ForeignReadFarDo dto) {
        List<Readmetereashis> lists = new ArrayList<>();
        for (ReadFarDo farDo: dto.getDatas() ) {
            Readmetereashis readmetereashis = new Readmetereashis();
            BeanUtils.copyProperties(farDo,readmetereashis);
            readmetereashis.setBcjjl(farDo.getBczl());
            readmetereashis.setCbsl(farDo.getBczl());
            readmetereashis.setCbfsCode(Long.parseLong(farDo.getCbfscode()));
            readmetereashis.setIsGeneral("2");
            lists.add(readmetereashis);
        }
        return this.saveBatch(lists);
    }
}
