package com.tofly.qualitycontrol.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author B
 */
@Data
@ApiModel("归集号详情实体包装类")
public class CollectionNumberDetailDTO {

	/** 客户编号列表 */
	@ApiModelProperty("客户编号列表")
	private List<String> clientNumberList;
	/** 认证编号 */
	@ApiModelProperty("归集编号")
	@NotNull(message = "归集编号不能为空")
	private String collectionNumber;
	/** 归集名称 */
	@ApiModelProperty("归集名称")
	@NotNull(message = "归集名称不能为空")
	private String collectionName;

}
