/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.reveal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.reveal.dto.PortalModuleDto;
import com.tofly.reveal.dto.UpdatePortalModuleDto;
import com.tofly.reveal.entity.PortalModule;
import com.tofly.reveal.vo.PortalModuleVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 门户模块信息
 *
 * @author xqf
 * @date Fri Mar 11 00:00:00 CST 2022
 */
public interface PortalModuleService extends IService<PortalModule> {

    boolean savePortalModule(PortalModuleDto dto, List<MultipartFile> fileList);

    Object updatePortalModule(UpdatePortalModuleDto dto, List<MultipartFile> fileList);

    Object removeUpdateModuleService(Long id);

    Object updateRemoveByIds(List<String> asList);

    Object revealPortalModule(Long id, Boolean isRelease);

    PortalModuleVo getPortalModuleById(Long id);
}
